import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, o) : t, i = c.length - 1, s; i >= 0; i--)
    (s = c[i]) && (e = (r ? s(t, o, e) : s(e)) || e);
  return r && e && f(t, o, e), e;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--tutorial", this.class = "c-pieIcon c-pieIcon--tutorial", this.name = "IconTutorial";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--tutorial"><path fill-rule="evenodd" d="m2.505 7.566.91.383v3.42l.263.201A7.194 7.194 0 0 0 8 12.996h.009a7.194 7.194 0 0 0 4.322-1.426l.263-.201V7.934l2.213-.931V5.795L8.254 3.04h-.508L1.184 5.804V7.01l.008.004v2.569h1.313V7.566Zm5.749 2.202H8.25L8 9.873l-.25-.105h-.004l-.979-.412L4.72 8.5v2.214l.009-.01a5.932 5.932 0 0 0 6.545 0V8.5l-3.02 1.267v.002Zm4.61-3.36L8 4.36 3.135 6.408l.28.117v-.004l4.594 1.925 4.856-2.038Z" clip-rule="evenodd"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = p([
  u("icon-tutorial")
], l);
export {
  l as IconTutorial
};
